/*
 * @Author: wrh
 * @Date: 2024-09-19 16:09:52
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-05-15 10:26:51
 */
import request from '@/utils/request'

// 查询员工工资列表
export function listWage(query) {
  return request({
    url: '/oa/wage/list',
    method: 'get',
    params: query
  })
}

// 查询员工工资详细
export function getWage(wageId) {
  return request({
    url: '/oa/wage/' + wageId,
    method: 'get'
  })
}
// 查询员工工资详细
export function getUserDayValue(query) {
  return request({
    url: '/oa/wage/userDayValue',
    method: 'get',
    params: query
  })
}


// 新增员工工资
export function addWage(data) {
  return request({
    url: '/oa/wage',
    method: 'post',
    data: data
  })
}

// 修改员工工资
export function updateWage(data) {
  return request({
    url: '/oa/wage',
    method: 'put',
    data: data
  })
}

// 删除员工工资
export function delWage(wageId) {
  return request({
    url: '/oa/wage/' + wageId,
    method: 'delete'
  })
}

// 删除员工工资
export function delWageBatch(performanceId) {
  return request({
    url: '/oa/wage/batch/' + performanceId,
    method: 'delete'
  })
}
